import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { PipeModule } from '@business/pipe/pipe.module';
import { NzTreeModule } from 'ng-tree-antd';
import { NgxEchartsModule } from 'ngx-echarts';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { AnalysisComponent } from './analysis/analysis.component';
import { CalendarComponent } from './calendar/calendar.component';
import { MonitorpointComponent } from './monitorpoint/monitorpoint.component';
import { NzCalendarModule } from 'ng-zorro-antd';
import { AqiDetailComponent } from './calendar/aqi-detail/aqi-detail.component';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'analysis', component: AnalysisComponent},
      { path: 'calendar', component: CalendarComponent },
      { path: 'monitorpoint', component: MonitorpointComponent }
    ]
  }
];

const COMPONENT_NOROUNT = [
  AqiDetailComponent,
];

@NgModule({
  imports: [
        // 管道模块必须当前模块导入
        PipeModule,
        NzTreeModule,
        NgxEchartsModule,
        CommonModule,
        SharedModule,
        NzCalendarModule,
        RouterModule.forChild(routes)
  ],
  declarations: [
      ...COMPONENT_NOROUNT,
      AnalysisComponent,
      CalendarComponent,
      MonitorpointComponent,
  ],
  entryComponents: COMPONENT_NOROUNT
})
export class StatisticsModule { }
